
__all__ = (
    'Value',
    'Type',
    'version',
    'pvdVersion',
    'pvaVersion',
    'listRefs',
    'Cancelled',
)

try:
    # give a chance to adjust DSO loader path
    import epicscorelibs.path
except ImportError:
    pass

try:
    from .wrapper import Value, Type
except ImportError:
    # try to hack around broken .so NEEDED by manually loading our libs
    # via the end point(s) in the dep. graph
    import ctypes
    ctypes.cdll.LoadLibrary(epicscorelibs.path.get_lib('pvAccessCA'))

    # try one more time
    from .wrapper import Value, Type

from ._p4p import pvdVersion, pvaVersion, listRefs, Cancelled
from ._p4p import pvdVersion, pvaVersion, listRefs, Cancelled

version = (1, 0, 80)
